Speed and call quality testMy IP addressIP subnet calculatorDNS reportWhoIs lookupRemote support

Internet and network

Speed and call quality testTest delay, jitter and speed, with a focus on phone calls.My IP addressYour public IPv4 and IPv6 addresses, provider and address range.WhoIs lookupWho owns a domain or IP address, when it expires, and its DNS.DNS reportEvery DNS record for a domain, with email setup checked.IP subnet calculatorWork out a network's range, mask and hosts, and split it into subnets.

Computers and devices

Update checkIs this computer, phone and browser up to date? With links to update.Camera and mic testCheck your webcam and microphone before a call.Test print pagePrint an A4 page to check a printer: edges, text, line art and colours.

Make and print

Clean textStrip hidden characters, smart quotes and odd spaces from pasted text.QR code makerMake a QR code for a link, contact or message. Nothing leaves your browser.Wi-Fi QR posterPrint an A4 poster that lets guests join your Wi-Fi by scanning.

Surftec support

Remote supportLet a Surftec engineer connect to your computer to help you.All workingA full-screen confirmation that everything is up and running.

Surftec

Surftec websiteServices, news and how to contact Surftec
Cloud Tools
Guest
GuestNot signed in

Surftec customers will be recognised automatically when they use these tools from their office network.

Customer sign-in is coming soon.

IP subnet calculator

Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.

Network240.0.0.0/4
Usable hosts268,435,454
Subnet mask240.0.0.0
Addresses268,435,456
Network address
240.0.0.0
Broadcast address
255.255.255.255
First usable
240.0.0.1
Last usable
255.255.255.254
Usable hosts
268,435,454 (268,435,456 less the network and broadcast addresses)
Subnet mask
240.0.0.0
Wildcard mask
15.255.255.255 (Cisco ACLs, OSPF)
Prefix length
/4
Type
Reserved 240.0.0.0/4
Future use; not usable on most systems
Old class
E (reserved)
As numbers
Hex F0000000 · Integer 4026531840 to 4294967295
Reverse DNS zones
240.in-addr.arpa
241.in-addr.arpa
242.in-addr.arpa
243.in-addr.arpa
244.in-addr.arpa
245.in-addr.arpa
246.in-addr.arpa
247.in-addr.arpa
248.in-addr.arpa
249.in-addr.arpa
250.in-addr.arpa
251.in-addr.arpa
252.in-addr.arpa
253.in-addr.arpa
254.in-addr.arpa
255.in-addr.arpa
/4 is not on a 8-bit boundary, so it takes 16 /8 zones.
Binary
Binary view
Binary (network bits bold, host bits grey)Dotted
Address11110000.00000000.00000000.00000000240.0.0.0
Subnet mask11110000.00000000.00000000.00000000240.0.0.0
Network11110000.00000000.00000000.00000000240.0.0.0
Broadcast11111111.11111111.11111111.11111111255.255.255.255
Split into smaller subnets/15

240.0.0.0/4 makes 2,048 subnets of /15; the first 256 are listed.

Subnets
#SubnetUsable hosts rangeBroadcastHosts
1240.0.0.0/15240.0.0.1 to 240.1.255.254240.1.255.255131,070
2240.2.0.0/15240.2.0.1 to 240.3.255.254240.3.255.255131,070
3240.4.0.0/15240.4.0.1 to 240.5.255.254240.5.255.255131,070
4240.6.0.0/15240.6.0.1 to 240.7.255.254240.7.255.255131,070
5240.8.0.0/15240.8.0.1 to 240.9.255.254240.9.255.255131,070
6240.10.0.0/15240.10.0.1 to 240.11.255.254240.11.255.255131,070
7240.12.0.0/15240.12.0.1 to 240.13.255.254240.13.255.255131,070
8240.14.0.0/15240.14.0.1 to 240.15.255.254240.15.255.255131,070
9240.16.0.0/15240.16.0.1 to 240.17.255.254240.17.255.255131,070
10240.18.0.0/15240.18.0.1 to 240.19.255.254240.19.255.255131,070
11240.20.0.0/15240.20.0.1 to 240.21.255.254240.21.255.255131,070
12240.22.0.0/15240.22.0.1 to 240.23.255.254240.23.255.255131,070
13240.24.0.0/15240.24.0.1 to 240.25.255.254240.25.255.255131,070
14240.26.0.0/15240.26.0.1 to 240.27.255.254240.27.255.255131,070
15240.28.0.0/15240.28.0.1 to 240.29.255.254240.29.255.255131,070
16240.30.0.0/15240.30.0.1 to 240.31.255.254240.31.255.255131,070
17240.32.0.0/15240.32.0.1 to 240.33.255.254240.33.255.255131,070
18240.34.0.0/15240.34.0.1 to 240.35.255.254240.35.255.255131,070
19240.36.0.0/15240.36.0.1 to 240.37.255.254240.37.255.255131,070
20240.38.0.0/15240.38.0.1 to 240.39.255.254240.39.255.255131,070
21240.40.0.0/15240.40.0.1 to 240.41.255.254240.41.255.255131,070
22240.42.0.0/15240.42.0.1 to 240.43.255.254240.43.255.255131,070
23240.44.0.0/15240.44.0.1 to 240.45.255.254240.45.255.255131,070
24240.46.0.0/15240.46.0.1 to 240.47.255.254240.47.255.255131,070
25240.48.0.0/15240.48.0.1 to 240.49.255.254240.49.255.255131,070
26240.50.0.0/15240.50.0.1 to 240.51.255.254240.51.255.255131,070
27240.52.0.0/15240.52.0.1 to 240.53.255.254240.53.255.255131,070
28240.54.0.0/15240.54.0.1 to 240.55.255.254240.55.255.255131,070
29240.56.0.0/15240.56.0.1 to 240.57.255.254240.57.255.255131,070
30240.58.0.0/15240.58.0.1 to 240.59.255.254240.59.255.255131,070
31240.60.0.0/15240.60.0.1 to 240.61.255.254240.61.255.255131,070
32240.62.0.0/15240.62.0.1 to 240.63.255.254240.63.255.255131,070
33240.64.0.0/15240.64.0.1 to 240.65.255.254240.65.255.255131,070
34240.66.0.0/15240.66.0.1 to 240.67.255.254240.67.255.255131,070
35240.68.0.0/15240.68.0.1 to 240.69.255.254240.69.255.255131,070
36240.70.0.0/15240.70.0.1 to 240.71.255.254240.71.255.255131,070
37240.72.0.0/15240.72.0.1 to 240.73.255.254240.73.255.255131,070
38240.74.0.0/15240.74.0.1 to 240.75.255.254240.75.255.255131,070
39240.76.0.0/15240.76.0.1 to 240.77.255.254240.77.255.255131,070
40240.78.0.0/15240.78.0.1 to 240.79.255.254240.79.255.255131,070
41240.80.0.0/15240.80.0.1 to 240.81.255.254240.81.255.255131,070
42240.82.0.0/15240.82.0.1 to 240.83.255.254240.83.255.255131,070
43240.84.0.0/15240.84.0.1 to 240.85.255.254240.85.255.255131,070
44240.86.0.0/15240.86.0.1 to 240.87.255.254240.87.255.255131,070
45240.88.0.0/15240.88.0.1 to 240.89.255.254240.89.255.255131,070
46240.90.0.0/15240.90.0.1 to 240.91.255.254240.91.255.255131,070
47240.92.0.0/15240.92.0.1 to 240.93.255.254240.93.255.255131,070
48240.94.0.0/15240.94.0.1 to 240.95.255.254240.95.255.255131,070
49240.96.0.0/15240.96.0.1 to 240.97.255.254240.97.255.255131,070
50240.98.0.0/15240.98.0.1 to 240.99.255.254240.99.255.255131,070
51240.100.0.0/15240.100.0.1 to 240.101.255.254240.101.255.255131,070
52240.102.0.0/15240.102.0.1 to 240.103.255.254240.103.255.255131,070
53240.104.0.0/15240.104.0.1 to 240.105.255.254240.105.255.255131,070
54240.106.0.0/15240.106.0.1 to 240.107.255.254240.107.255.255131,070
55240.108.0.0/15240.108.0.1 to 240.109.255.254240.109.255.255131,070
56240.110.0.0/15240.110.0.1 to 240.111.255.254240.111.255.255131,070
57240.112.0.0/15240.112.0.1 to 240.113.255.254240.113.255.255131,070
58240.114.0.0/15240.114.0.1 to 240.115.255.254240.115.255.255131,070
59240.116.0.0/15240.116.0.1 to 240.117.255.254240.117.255.255131,070
60240.118.0.0/15240.118.0.1 to 240.119.255.254240.119.255.255131,070
61240.120.0.0/15240.120.0.1 to 240.121.255.254240.121.255.255131,070
62240.122.0.0/15240.122.0.1 to 240.123.255.254240.123.255.255131,070
63240.124.0.0/15240.124.0.1 to 240.125.255.254240.125.255.255131,070
64240.126.0.0/15240.126.0.1 to 240.127.255.254240.127.255.255131,070
65240.128.0.0/15240.128.0.1 to 240.129.255.254240.129.255.255131,070
66240.130.0.0/15240.130.0.1 to 240.131.255.254240.131.255.255131,070
67240.132.0.0/15240.132.0.1 to 240.133.255.254240.133.255.255131,070
68240.134.0.0/15240.134.0.1 to 240.135.255.254240.135.255.255131,070
69240.136.0.0/15240.136.0.1 to 240.137.255.254240.137.255.255131,070
70240.138.0.0/15240.138.0.1 to 240.139.255.254240.139.255.255131,070
71240.140.0.0/15240.140.0.1 to 240.141.255.254240.141.255.255131,070
72240.142.0.0/15240.142.0.1 to 240.143.255.254240.143.255.255131,070
73240.144.0.0/15240.144.0.1 to 240.145.255.254240.145.255.255131,070
74240.146.0.0/15240.146.0.1 to 240.147.255.254240.147.255.255131,070
75240.148.0.0/15240.148.0.1 to 240.149.255.254240.149.255.255131,070
76240.150.0.0/15240.150.0.1 to 240.151.255.254240.151.255.255131,070
77240.152.0.0/15240.152.0.1 to 240.153.255.254240.153.255.255131,070
78240.154.0.0/15240.154.0.1 to 240.155.255.254240.155.255.255131,070
79240.156.0.0/15240.156.0.1 to 240.157.255.254240.157.255.255131,070
80240.158.0.0/15240.158.0.1 to 240.159.255.254240.159.255.255131,070
81240.160.0.0/15240.160.0.1 to 240.161.255.254240.161.255.255131,070
82240.162.0.0/15240.162.0.1 to 240.163.255.254240.163.255.255131,070
83240.164.0.0/15240.164.0.1 to 240.165.255.254240.165.255.255131,070
84240.166.0.0/15240.166.0.1 to 240.167.255.254240.167.255.255131,070
85240.168.0.0/15240.168.0.1 to 240.169.255.254240.169.255.255131,070
86240.170.0.0/15240.170.0.1 to 240.171.255.254240.171.255.255131,070
87240.172.0.0/15240.172.0.1 to 240.173.255.254240.173.255.255131,070
88240.174.0.0/15240.174.0.1 to 240.175.255.254240.175.255.255131,070
89240.176.0.0/15240.176.0.1 to 240.177.255.254240.177.255.255131,070
90240.178.0.0/15240.178.0.1 to 240.179.255.254240.179.255.255131,070
91240.180.0.0/15240.180.0.1 to 240.181.255.254240.181.255.255131,070
92240.182.0.0/15240.182.0.1 to 240.183.255.254240.183.255.255131,070
93240.184.0.0/15240.184.0.1 to 240.185.255.254240.185.255.255131,070
94240.186.0.0/15240.186.0.1 to 240.187.255.254240.187.255.255131,070
95240.188.0.0/15240.188.0.1 to 240.189.255.254240.189.255.255131,070
96240.190.0.0/15240.190.0.1 to 240.191.255.254240.191.255.255131,070
97240.192.0.0/15240.192.0.1 to 240.193.255.254240.193.255.255131,070
98240.194.0.0/15240.194.0.1 to 240.195.255.254240.195.255.255131,070
99240.196.0.0/15240.196.0.1 to 240.197.255.254240.197.255.255131,070
100240.198.0.0/15240.198.0.1 to 240.199.255.254240.199.255.255131,070
101240.200.0.0/15240.200.0.1 to 240.201.255.254240.201.255.255131,070
102240.202.0.0/15240.202.0.1 to 240.203.255.254240.203.255.255131,070
103240.204.0.0/15240.204.0.1 to 240.205.255.254240.205.255.255131,070
104240.206.0.0/15240.206.0.1 to 240.207.255.254240.207.255.255131,070
105240.208.0.0/15240.208.0.1 to 240.209.255.254240.209.255.255131,070
106240.210.0.0/15240.210.0.1 to 240.211.255.254240.211.255.255131,070
107240.212.0.0/15240.212.0.1 to 240.213.255.254240.213.255.255131,070
108240.214.0.0/15240.214.0.1 to 240.215.255.254240.215.255.255131,070
109240.216.0.0/15240.216.0.1 to 240.217.255.254240.217.255.255131,070
110240.218.0.0/15240.218.0.1 to 240.219.255.254240.219.255.255131,070
111240.220.0.0/15240.220.0.1 to 240.221.255.254240.221.255.255131,070
112240.222.0.0/15240.222.0.1 to 240.223.255.254240.223.255.255131,070
113240.224.0.0/15240.224.0.1 to 240.225.255.254240.225.255.255131,070
114240.226.0.0/15240.226.0.1 to 240.227.255.254240.227.255.255131,070
115240.228.0.0/15240.228.0.1 to 240.229.255.254240.229.255.255131,070
116240.230.0.0/15240.230.0.1 to 240.231.255.254240.231.255.255131,070
117240.232.0.0/15240.232.0.1 to 240.233.255.254240.233.255.255131,070
118240.234.0.0/15240.234.0.1 to 240.235.255.254240.235.255.255131,070
119240.236.0.0/15240.236.0.1 to 240.237.255.254240.237.255.255131,070
120240.238.0.0/15240.238.0.1 to 240.239.255.254240.239.255.255131,070
121240.240.0.0/15240.240.0.1 to 240.241.255.254240.241.255.255131,070
122240.242.0.0/15240.242.0.1 to 240.243.255.254240.243.255.255131,070
123240.244.0.0/15240.244.0.1 to 240.245.255.254240.245.255.255131,070
124240.246.0.0/15240.246.0.1 to 240.247.255.254240.247.255.255131,070
125240.248.0.0/15240.248.0.1 to 240.249.255.254240.249.255.255131,070
126240.250.0.0/15240.250.0.1 to 240.251.255.254240.251.255.255131,070
127240.252.0.0/15240.252.0.1 to 240.253.255.254240.253.255.255131,070
128240.254.0.0/15240.254.0.1 to 240.255.255.254240.255.255.255131,070
129241.0.0.0/15241.0.0.1 to 241.1.255.254241.1.255.255131,070
130241.2.0.0/15241.2.0.1 to 241.3.255.254241.3.255.255131,070
131241.4.0.0/15241.4.0.1 to 241.5.255.254241.5.255.255131,070
132241.6.0.0/15241.6.0.1 to 241.7.255.254241.7.255.255131,070
133241.8.0.0/15241.8.0.1 to 241.9.255.254241.9.255.255131,070
134241.10.0.0/15241.10.0.1 to 241.11.255.254241.11.255.255131,070
135241.12.0.0/15241.12.0.1 to 241.13.255.254241.13.255.255131,070
136241.14.0.0/15241.14.0.1 to 241.15.255.254241.15.255.255131,070
137241.16.0.0/15241.16.0.1 to 241.17.255.254241.17.255.255131,070
138241.18.0.0/15241.18.0.1 to 241.19.255.254241.19.255.255131,070
139241.20.0.0/15241.20.0.1 to 241.21.255.254241.21.255.255131,070
140241.22.0.0/15241.22.0.1 to 241.23.255.254241.23.255.255131,070
141241.24.0.0/15241.24.0.1 to 241.25.255.254241.25.255.255131,070
142241.26.0.0/15241.26.0.1 to 241.27.255.254241.27.255.255131,070
143241.28.0.0/15241.28.0.1 to 241.29.255.254241.29.255.255131,070
144241.30.0.0/15241.30.0.1 to 241.31.255.254241.31.255.255131,070
145241.32.0.0/15241.32.0.1 to 241.33.255.254241.33.255.255131,070
146241.34.0.0/15241.34.0.1 to 241.35.255.254241.35.255.255131,070
147241.36.0.0/15241.36.0.1 to 241.37.255.254241.37.255.255131,070
148241.38.0.0/15241.38.0.1 to 241.39.255.254241.39.255.255131,070
149241.40.0.0/15241.40.0.1 to 241.41.255.254241.41.255.255131,070
150241.42.0.0/15241.42.0.1 to 241.43.255.254241.43.255.255131,070
151241.44.0.0/15241.44.0.1 to 241.45.255.254241.45.255.255131,070
152241.46.0.0/15241.46.0.1 to 241.47.255.254241.47.255.255131,070
153241.48.0.0/15241.48.0.1 to 241.49.255.254241.49.255.255131,070
154241.50.0.0/15241.50.0.1 to 241.51.255.254241.51.255.255131,070
155241.52.0.0/15241.52.0.1 to 241.53.255.254241.53.255.255131,070
156241.54.0.0/15241.54.0.1 to 241.55.255.254241.55.255.255131,070
157241.56.0.0/15241.56.0.1 to 241.57.255.254241.57.255.255131,070
158241.58.0.0/15241.58.0.1 to 241.59.255.254241.59.255.255131,070
159241.60.0.0/15241.60.0.1 to 241.61.255.254241.61.255.255131,070
160241.62.0.0/15241.62.0.1 to 241.63.255.254241.63.255.255131,070
161241.64.0.0/15241.64.0.1 to 241.65.255.254241.65.255.255131,070
162241.66.0.0/15241.66.0.1 to 241.67.255.254241.67.255.255131,070
163241.68.0.0/15241.68.0.1 to 241.69.255.254241.69.255.255131,070
164241.70.0.0/15241.70.0.1 to 241.71.255.254241.71.255.255131,070
165241.72.0.0/15241.72.0.1 to 241.73.255.254241.73.255.255131,070
166241.74.0.0/15241.74.0.1 to 241.75.255.254241.75.255.255131,070
167241.76.0.0/15241.76.0.1 to 241.77.255.254241.77.255.255131,070
168241.78.0.0/15241.78.0.1 to 241.79.255.254241.79.255.255131,070
169241.80.0.0/15241.80.0.1 to 241.81.255.254241.81.255.255131,070
170241.82.0.0/15241.82.0.1 to 241.83.255.254241.83.255.255131,070
171241.84.0.0/15241.84.0.1 to 241.85.255.254241.85.255.255131,070
172241.86.0.0/15241.86.0.1 to 241.87.255.254241.87.255.255131,070
173241.88.0.0/15241.88.0.1 to 241.89.255.254241.89.255.255131,070
174241.90.0.0/15241.90.0.1 to 241.91.255.254241.91.255.255131,070
175241.92.0.0/15241.92.0.1 to 241.93.255.254241.93.255.255131,070
176241.94.0.0/15241.94.0.1 to 241.95.255.254241.95.255.255131,070
177241.96.0.0/15241.96.0.1 to 241.97.255.254241.97.255.255131,070
178241.98.0.0/15241.98.0.1 to 241.99.255.254241.99.255.255131,070
179241.100.0.0/15241.100.0.1 to 241.101.255.254241.101.255.255131,070
180241.102.0.0/15241.102.0.1 to 241.103.255.254241.103.255.255131,070
181241.104.0.0/15241.104.0.1 to 241.105.255.254241.105.255.255131,070
182241.106.0.0/15241.106.0.1 to 241.107.255.254241.107.255.255131,070
183241.108.0.0/15241.108.0.1 to 241.109.255.254241.109.255.255131,070
184241.110.0.0/15241.110.0.1 to 241.111.255.254241.111.255.255131,070
185241.112.0.0/15241.112.0.1 to 241.113.255.254241.113.255.255131,070
186241.114.0.0/15241.114.0.1 to 241.115.255.254241.115.255.255131,070
187241.116.0.0/15241.116.0.1 to 241.117.255.254241.117.255.255131,070
188241.118.0.0/15241.118.0.1 to 241.119.255.254241.119.255.255131,070
189241.120.0.0/15241.120.0.1 to 241.121.255.254241.121.255.255131,070
190241.122.0.0/15241.122.0.1 to 241.123.255.254241.123.255.255131,070
191241.124.0.0/15241.124.0.1 to 241.125.255.254241.125.255.255131,070
192241.126.0.0/15241.126.0.1 to 241.127.255.254241.127.255.255131,070
193241.128.0.0/15241.128.0.1 to 241.129.255.254241.129.255.255131,070
194241.130.0.0/15241.130.0.1 to 241.131.255.254241.131.255.255131,070
195241.132.0.0/15241.132.0.1 to 241.133.255.254241.133.255.255131,070
196241.134.0.0/15241.134.0.1 to 241.135.255.254241.135.255.255131,070
197241.136.0.0/15241.136.0.1 to 241.137.255.254241.137.255.255131,070
198241.138.0.0/15241.138.0.1 to 241.139.255.254241.139.255.255131,070
199241.140.0.0/15241.140.0.1 to 241.141.255.254241.141.255.255131,070
200241.142.0.0/15241.142.0.1 to 241.143.255.254241.143.255.255131,070
201241.144.0.0/15241.144.0.1 to 241.145.255.254241.145.255.255131,070
202241.146.0.0/15241.146.0.1 to 241.147.255.254241.147.255.255131,070
203241.148.0.0/15241.148.0.1 to 241.149.255.254241.149.255.255131,070
204241.150.0.0/15241.150.0.1 to 241.151.255.254241.151.255.255131,070
205241.152.0.0/15241.152.0.1 to 241.153.255.254241.153.255.255131,070
206241.154.0.0/15241.154.0.1 to 241.155.255.254241.155.255.255131,070
207241.156.0.0/15241.156.0.1 to 241.157.255.254241.157.255.255131,070
208241.158.0.0/15241.158.0.1 to 241.159.255.254241.159.255.255131,070
209241.160.0.0/15241.160.0.1 to 241.161.255.254241.161.255.255131,070
210241.162.0.0/15241.162.0.1 to 241.163.255.254241.163.255.255131,070
211241.164.0.0/15241.164.0.1 to 241.165.255.254241.165.255.255131,070
212241.166.0.0/15241.166.0.1 to 241.167.255.254241.167.255.255131,070
213241.168.0.0/15241.168.0.1 to 241.169.255.254241.169.255.255131,070
214241.170.0.0/15241.170.0.1 to 241.171.255.254241.171.255.255131,070
215241.172.0.0/15241.172.0.1 to 241.173.255.254241.173.255.255131,070
216241.174.0.0/15241.174.0.1 to 241.175.255.254241.175.255.255131,070
217241.176.0.0/15241.176.0.1 to 241.177.255.254241.177.255.255131,070
218241.178.0.0/15241.178.0.1 to 241.179.255.254241.179.255.255131,070
219241.180.0.0/15241.180.0.1 to 241.181.255.254241.181.255.255131,070
220241.182.0.0/15241.182.0.1 to 241.183.255.254241.183.255.255131,070
221241.184.0.0/15241.184.0.1 to 241.185.255.254241.185.255.255131,070
222241.186.0.0/15241.186.0.1 to 241.187.255.254241.187.255.255131,070
223241.188.0.0/15241.188.0.1 to 241.189.255.254241.189.255.255131,070
224241.190.0.0/15241.190.0.1 to 241.191.255.254241.191.255.255131,070
225241.192.0.0/15241.192.0.1 to 241.193.255.254241.193.255.255131,070
226241.194.0.0/15241.194.0.1 to 241.195.255.254241.195.255.255131,070
227241.196.0.0/15241.196.0.1 to 241.197.255.254241.197.255.255131,070
228241.198.0.0/15241.198.0.1 to 241.199.255.254241.199.255.255131,070
229241.200.0.0/15241.200.0.1 to 241.201.255.254241.201.255.255131,070
230241.202.0.0/15241.202.0.1 to 241.203.255.254241.203.255.255131,070
231241.204.0.0/15241.204.0.1 to 241.205.255.254241.205.255.255131,070
232241.206.0.0/15241.206.0.1 to 241.207.255.254241.207.255.255131,070
233241.208.0.0/15241.208.0.1 to 241.209.255.254241.209.255.255131,070
234241.210.0.0/15241.210.0.1 to 241.211.255.254241.211.255.255131,070
235241.212.0.0/15241.212.0.1 to 241.213.255.254241.213.255.255131,070
236241.214.0.0/15241.214.0.1 to 241.215.255.254241.215.255.255131,070
237241.216.0.0/15241.216.0.1 to 241.217.255.254241.217.255.255131,070
238241.218.0.0/15241.218.0.1 to 241.219.255.254241.219.255.255131,070
239241.220.0.0/15241.220.0.1 to 241.221.255.254241.221.255.255131,070
240241.222.0.0/15241.222.0.1 to 241.223.255.254241.223.255.255131,070
241241.224.0.0/15241.224.0.1 to 241.225.255.254241.225.255.255131,070
242241.226.0.0/15241.226.0.1 to 241.227.255.254241.227.255.255131,070
243241.228.0.0/15241.228.0.1 to 241.229.255.254241.229.255.255131,070
244241.230.0.0/15241.230.0.1 to 241.231.255.254241.231.255.255131,070
245241.232.0.0/15241.232.0.1 to 241.233.255.254241.233.255.255131,070
246241.234.0.0/15241.234.0.1 to 241.235.255.254241.235.255.255131,070
247241.236.0.0/15241.236.0.1 to 241.237.255.254241.237.255.255131,070
248241.238.0.0/15241.238.0.1 to 241.239.255.254241.239.255.255131,070
249241.240.0.0/15241.240.0.1 to 241.241.255.254241.241.255.255131,070
250241.242.0.0/15241.242.0.1 to 241.243.255.254241.243.255.255131,070
251241.244.0.0/15241.244.0.1 to 241.245.255.254241.245.255.255131,070
252241.246.0.0/15241.246.0.1 to 241.247.255.254241.247.255.255131,070
253241.248.0.0/15241.248.0.1 to 241.249.255.254241.249.255.255131,070
254241.250.0.0/15241.250.0.1 to 241.251.255.254241.251.255.255131,070
255241.252.0.0/15241.252.0.1 to 241.253.255.254241.253.255.255131,070
256241.254.0.0/15241.254.0.1 to 241.255.255.254241.255.255.255131,070

IPv4 CIDR reference (/0 to /32)

IPv4 prefix lengths
PrefixSubnet maskWildcardAddressesUsable hostsSizeTypical use
/00.0.0.0255.255.255.2554,294,967,2964,294,967,29416,777,216 × /24
/1128.0.0.0127.255.255.2552,147,483,6482,147,483,6468,388,608 × /24
/2192.0.0.063.255.255.2551,073,741,8241,073,741,8224,194,304 × /24
/3224.0.0.031.255.255.255536,870,912536,870,9102,097,152 × /24
/4240.0.0.015.255.255.255268,435,456268,435,4541,048,576 × /24
/5248.0.0.07.255.255.255134,217,728134,217,726524,288 × /24
/6252.0.0.03.255.255.25567,108,86467,108,862262,144 × /24
/7254.0.0.01.255.255.25533,554,43233,554,430131,072 × /24
/8255.0.0.00.255.255.25516,777,21616,777,21465,536 × /24Old class A; 10.0.0.0/8
/9255.128.0.00.127.255.2558,388,6088,388,60632,768 × /24
/10255.192.0.00.63.255.2554,194,3044,194,30216,384 × /24
/11255.224.0.00.31.255.2552,097,1522,097,1508,192 × /24
/12255.240.0.00.15.255.2551,048,5761,048,5744,096 × /24172.16.0.0/12
/13255.248.0.00.7.255.255524,288524,2862,048 × /24
/14255.252.0.00.3.255.255262,144262,1421,024 × /24
/15255.254.0.00.1.255.255131,072131,070512 × /24
/16255.255.0.00.0.255.25565,53665,534256 × /24Old class B; 192.168.0.0/16
/17255.255.128.00.0.127.25532,76832,766128 × /24
/18255.255.192.00.0.63.25516,38416,38264 × /24
/19255.255.224.00.0.31.2558,1928,19032 × /24
/20255.255.240.00.0.15.2554,0964,09416 × /24
/21255.255.248.00.0.7.2552,0482,0468 × /24
/22255.255.252.00.0.3.2551,0241,0224 × /24Large office or guest Wi-Fi (1,022 hosts)
/23255.255.254.00.0.1.2555125102 × /24Larger office LAN (510 hosts)
/24255.255.255.00.0.0.2552562541 × /24Typical office LAN (old class C)
/25255.255.255.1280.0.0.1271281261/2 of a /24Smaller LAN or VLAN
/26255.255.255.1920.0.0.6364621/4 of a /24Smaller LAN or VLAN
/27255.255.255.2240.0.0.3132301/8 of a /24Small VLAN, phones, cameras
/28255.255.255.2400.0.0.1516141/16 of a /24Small VLAN, phones, cameras
/29255.255.255.2480.0.0.7861/32 of a /24Small fixed public block (5 usable)
/30255.255.255.2520.0.0.3421/64 of a /24Point-to-point (old style)
/31255.255.255.2540.0.0.1221/128 of a /24Point-to-point link (RFC 3021)
/32255.255.255.2550.0.0.0111/256 of a /24One host

IPv6 prefix reference

IPv6 prefix lengths
PrefixAddresses/64 LANs/48 sitesNibbleTypical use
/342,535,295,865,117,307,932,921,825,928,971,026,432 (2^125)2,305,843,009,213,693,95235,184,372,088,832NoAll global unicast (2000::/3)
/165,192,296,858,534,827,628,530,496,329,220,096 (2^112)281,474,976,710,6564,294,967,296Yes
/20324,518,553,658,426,726,783,156,020,576,256 (2^108)17,592,186,044,416268,435,456YesLarge provider allocation (RIPE minimum for some)
/29633,825,300,114,114,700,748,351,602,688 (2^99)34,359,738,368524,288NoRIPE allocation to a provider (often)
/3279,228,162,514,264,337,593,543,950,336 (2^96)4,294,967,29665,536YesProvider allocation (RIPE default)
/364,951,760,157,141,521,099,596,496,896 (2^92)268,435,4564,096Yes
/40309,485,009,821,345,068,724,781,056 (2^88)16,777,216256Yes
/4419,342,813,113,834,066,795,298,816 (2^84)1,048,57616Yes
/481,208,925,819,614,629,174,706,176 (2^80)65,5361YesOne site or organisation (RIPE PI / assignment)
/5275,557,863,725,914,323,419,136 (2^76)4,096Yes
/564,722,366,482,869,645,213,696 (2^72)256YesSmall site or home (common provider assignment)
/60295,147,905,179,352,825,856 (2^68)16YesSome home broadband (16 LANs)
/6418,446,744,073,709,551,616 (2^64)1YesOne LAN or VLAN (needed for SLAAC)
/7272,057,594,037,927,936 (2^56)1/256 of a /64Yes
/80281,474,976,710,656 (2^48)1/65,536 of a /64Yes
/964,294,967,2961/4,294,967,296 of a /64YesEmbeds an IPv4 address (NAT64)
/11265,5361/281,474,976,710,656 of a /64Yes
/1202561/72,057,594,037,927,936 of a /64Yes
/124161/1,152,921,504,606,846,976 of a /64Yes
/12641/4,611,686,018,427,387,904 of a /64No
/12721/9,223,372,036,854,775,808 of a /64NoPoint-to-point link (RFC 6164)
/12811/18,446,744,073,709,551,616 of a /64YesOne host or loopback

Private and special ranges

IPv4

Special-purpose ranges
RangeNameWhat it is
255.255.255.255/32Limited broadcastEvery host on the local network
0.0.0.0/8This networkNot routed; 0.0.0.0 means "any address" in settings
10.0.0.0/8Private (RFC 1918)Office and home networks; not routed on the internet
100.64.0.0/10Shared address space (CGNAT)Used by providers behind carrier-grade NAT (RFC 6598)
127.0.0.0/8LoopbackThis computer
169.254.0.0/16Link-local (APIPA)Self-assigned when no DHCP server answers
172.16.0.0/12Private (RFC 1918)Office and home networks; not routed on the internet
192.0.0.0/24IETF protocol assignmentsSpecial uses such as DS-Lite
192.0.2.0/24Documentation (TEST-NET-1)For examples; never used on a network
192.88.99.0/246to4 relay (deprecated)Formerly anycast for 6to4
192.168.0.0/16Private (RFC 1918)Office and home networks; not routed on the internet
198.18.0.0/15BenchmarkingNetwork equipment testing (RFC 2544)
198.51.100.0/24Documentation (TEST-NET-2)For examples; never used on a network
203.0.113.0/24Documentation (TEST-NET-3)For examples; never used on a network
224.0.0.0/4MulticastOne-to-many traffic, such as IPTV and routing protocols
240.0.0.0/4ReservedFuture use; not usable on most systems

IPv6

Special-purpose ranges
RangeNameWhat it is
::/128UnspecifiedNo address; :: means "any address" in settings
::1/128LoopbackThis computer
::ffff:0:0/96IPv4-mappedAn IPv4 address written as IPv6
64:ff9b::/96NAT64IPv4 addresses reached through a NAT64 gateway
100::/64Discard onlyTraffic sent here is dropped (RFC 6666)
2001:db8::/32DocumentationFor examples; never used on a network
2001::/32TeredoIPv6 tunnelled over IPv4 UDP
2002::/166to4IPv6 tunnelled over IPv4 (largely retired)
3fff::/20DocumentationFor examples (RFC 9637)
fc00::/7Unique local (ULA)Private IPv6, like RFC 1918; usually fd00::/8
fe80::/10Link-localEvery IPv6 interface has one; not routed
ff00::/8MulticastOne-to-many traffic; replaces broadcast
2000::/3Global unicastPublic internet addresses